rpms/glibc/devel glibc-ppc-fpu.patch, NONE, 1.1 glibc-ppc-ulps.patch, NONE, 1.1 glibc-s390-ldbl.patch, NONE, 1.1 glibc.spec, 1.212, 1.213

fedora-cvs-commits at redhat.com fedora-cvs-commits at redhat.com
Mon Jan 30 10:19:58 UTC 2006


Author: jakub

Update of /cvs/dist/rpms/glibc/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv13153

Modified Files:
	glibc.spec 
Added Files:
	glibc-ppc-fpu.patch glibc-ppc-ulps.patch glibc-s390-ldbl.patch 
Log Message:
2.3.90-31


glibc-ppc-fpu.patch:
 powerpc/Implies                          |    2 
 powerpc/fpu/Implies                      |    4 
 unix/sysv/linux/powerpc/Implies          |    4 
 unix/sysv/linux/powerpc/configure        |  135 -------------------------------
 unix/sysv/linux/powerpc/configure.in     |   37 --------
 unix/sysv/linux/powerpc/fpu/Implies      |    4 
 unix/sysv/linux/powerpc/fpu/configure    |  135 +++++++++++++++++++++++++++++++
 unix/sysv/linux/powerpc/fpu/configure.in |   37 ++++++++
 8 files changed, 180 insertions(+), 178 deletions(-)

--- NEW FILE glibc-ppc-fpu.patch ---
2006-01-30  Jakub Jelinek  <jakub at redhat.com>

	* sysdeps/unix/sysv/linux/powerpc/Implies: Moved to...
	* sysdeps/unix/sysv/linux/powerpc/fpu/Implies: ... here.  New file.
	* sysdeps/unix/sysv/linux/powerpc/configure.in: Moved to...
	* sysdeps/unix/sysv/linux/powerpc/fpu/configure.in: ... here.  New file.
	* sysdeps/unix/sysv/linux/powerpc/configure: Moved to...
	* sysdeps/unix/sysv/linux/powerpc/fpu/configure: ... here.  New file.
	* sysdeps/powerpc/Implies: Remove ieee754/ldbl-128ibm line.
	* sysdeps/powerpc/fpu/Implies: New file.

--- libc/sysdeps/unix/sysv/linux/powerpc/fpu/Implies.jj	2006-01-30 08:17:12.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/powerpc/fpu/Implies	2006-01-28 01:14:41.000000000 +0100
@@ -0,0 +1,4 @@
+# Make sure these routines come before ldbl-opt.
+ieee754/ldbl-128ibm
+# These supply the ABI compatibility for when long double was double.
+ieee754/ldbl-opt
--- libc/sysdeps/unix/sysv/linux/powerpc/fpu/configure.in.jj	2006-01-30 09:26:38.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/powerpc/fpu/configure.in	2006-01-28 01:07:39.000000000 +0100
@@ -0,0 +1,37 @@
+sinclude(./aclocal.m4)dnl Autoconf lossage
+GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
+# Local configure fragment for sysdeps/unix/sysv/linux/powerpc/.
+
+AC_CACHE_CHECK(whether $CC $CFLAGS -mlong-double-128 uses IBM extended format,
+	       libc_cv_mlong_double_128ibm, [dnl
+save_CFLAGS="$CFLAGS"
+CFLAGS="$CFLAGS -mlong-double-128"
+AC_TRY_COMPILE([#include <float.h>], [
+#if LDBL_MANT_DIG != 106
+# error "compiler doesn't implement IBM extended format of long double"
+#endif
+long double foobar (long double x) { return x; }],
+	       libc_cv_mlong_double_128ibm=yes,
+	       libc_cv_mlong_double_128ibm=no)
+CFLAGS="$save_CFLAGS"])
+
+if test "$libc_cv_mlong_double_128ibm" = no; then
+  AC_CACHE_CHECK(whether $CC $CFLAGS supports -mabi=ibmlongdouble,
+		 libc_cv_mabi_ibmlongdouble, [dnl
+  save_CFLAGS="$CFLAGS"
+  CFLAGS="$CFLAGS -mlong-double-128 -mabi=ibmlongdouble"
+  AC_TRY_COMPILE([#include <float.h>], [
+#if LDBL_MANT_DIG != 106
+# error "compiler doesn't implement IBM extended format of long double"
+#endif
+long double foobar (long double x) { return x; }],
+		 libc_cv_mabi_ibmlongdouble=yes,
+		 libc_cv_mabi_ibmlongdouble=no)
+  CFLAGS="$save_CFLAGS"])
+
+  if test "$libc_cv_mabi_ibmlongdouble" = yes; then
+    CFLAGS="$CFLAGS -mabi=ibmlongdouble"
+  else
+    AC_MSG_ERROR([this configuration requires -mlong-double-128 IBM extended format support])
+  fi
+fi
--- libc/sysdeps/unix/sysv/linux/powerpc/fpu/configure.jj	2006-01-30 09:26:41.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/powerpc/fpu/configure	2006-01-28 01:07:39.000000000 +0100
@@ -0,0 +1,135 @@
+# This file is generated from configure.in by Autoconf.  DO NOT EDIT!
+ # Local configure fragment for sysdeps/unix/sysv/linux/powerpc/.
+
+
+echo "$as_me:$LINENO: checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format" >&5
+echo $ECHO_N "checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format... $ECHO_C" >&6
+if test "${libc_cv_mlong_double_128ibm+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  save_CFLAGS="$CFLAGS"
+CFLAGS="$CFLAGS -mlong-double-128"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <float.h>
+int
+main ()
+{
+
+#if LDBL_MANT_DIG != 106
+# error "compiler doesn't implement IBM extended format of long double"
+#endif
+long double foobar (long double x) { return x; }
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  libc_cv_mlong_double_128ibm=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+libc_cv_mlong_double_128ibm=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+CFLAGS="$save_CFLAGS"
+fi
+echo "$as_me:$LINENO: result: $libc_cv_mlong_double_128ibm" >&5
+echo "${ECHO_T}$libc_cv_mlong_double_128ibm" >&6
+
+if test "$libc_cv_mlong_double_128ibm" = no; then
+  echo "$as_me:$LINENO: checking whether $CC $CFLAGS supports -mabi=ibmlongdouble" >&5
+echo $ECHO_N "checking whether $CC $CFLAGS supports -mabi=ibmlongdouble... $ECHO_C" >&6
+if test "${libc_cv_mabi_ibmlongdouble+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+    save_CFLAGS="$CFLAGS"
+  CFLAGS="$CFLAGS -mlong-double-128 -mabi=ibmlongdouble"
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <float.h>
+int
+main ()
+{
+
+#if LDBL_MANT_DIG != 106
+# error "compiler doesn't implement IBM extended format of long double"
+#endif
+long double foobar (long double x) { return x; }
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  libc_cv_mabi_ibmlongdouble=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+libc_cv_mabi_ibmlongdouble=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+  CFLAGS="$save_CFLAGS"
+fi
+echo "$as_me:$LINENO: result: $libc_cv_mabi_ibmlongdouble" >&5
+echo "${ECHO_T}$libc_cv_mabi_ibmlongdouble" >&6
+
+  if test "$libc_cv_mabi_ibmlongdouble" = yes; then
+    CFLAGS="$CFLAGS -mabi=ibmlongdouble"
+  else
+    { { echo "$as_me:$LINENO: error: this configuration requires -mlong-double-128 IBM extended format support" >&5
+echo "$as_me: error: this configuration requires -mlong-double-128 IBM extended format support" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+fi
--- libc/sysdeps/unix/sysv/linux/powerpc/Implies.jj	2006-01-28 01:14:41.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/powerpc/Implies	2006-01-30 08:17:05.000000000 +0100
@@ -1,4 +0,0 @@
-# Make sure these routines come before ldbl-opt.
-ieee754/ldbl-128ibm
-# These supply the ABI compatibility for when long double was double.
-ieee754/ldbl-opt
--- libc/sysdeps/unix/sysv/linux/powerpc/configure.jj	2006-01-28 01:07:39.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/powerpc/configure	2006-01-30 09:26:30.000000000 +0100
@@ -1,135 +0,0 @@
-# This file is generated from configure.in by Autoconf.  DO NOT EDIT!
- # Local configure fragment for sysdeps/unix/sysv/linux/powerpc/.
-
-
-echo "$as_me:$LINENO: checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format" >&5
-echo $ECHO_N "checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format... $ECHO_C" >&6
-if test "${libc_cv_mlong_double_128ibm+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  save_CFLAGS="$CFLAGS"
-CFLAGS="$CFLAGS -mlong-double-128"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <float.h>
-int
-main ()
-{
-
-#if LDBL_MANT_DIG != 106
-# error "compiler doesn't implement IBM extended format of long double"
-#endif
-long double foobar (long double x) { return x; }
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  libc_cv_mlong_double_128ibm=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-libc_cv_mlong_double_128ibm=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-CFLAGS="$save_CFLAGS"
-fi
-echo "$as_me:$LINENO: result: $libc_cv_mlong_double_128ibm" >&5
-echo "${ECHO_T}$libc_cv_mlong_double_128ibm" >&6
-
-if test "$libc_cv_mlong_double_128ibm" = no; then
-  echo "$as_me:$LINENO: checking whether $CC $CFLAGS supports -mabi=ibmlongdouble" >&5
-echo $ECHO_N "checking whether $CC $CFLAGS supports -mabi=ibmlongdouble... $ECHO_C" >&6
-if test "${libc_cv_mabi_ibmlongdouble+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-    save_CFLAGS="$CFLAGS"
-  CFLAGS="$CFLAGS -mlong-double-128 -mabi=ibmlongdouble"
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <float.h>
-int
-main ()
-{
-
-#if LDBL_MANT_DIG != 106
-# error "compiler doesn't implement IBM extended format of long double"
-#endif
-long double foobar (long double x) { return x; }
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  libc_cv_mabi_ibmlongdouble=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-libc_cv_mabi_ibmlongdouble=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  CFLAGS="$save_CFLAGS"
-fi
-echo "$as_me:$LINENO: result: $libc_cv_mabi_ibmlongdouble" >&5
-echo "${ECHO_T}$libc_cv_mabi_ibmlongdouble" >&6
-
-  if test "$libc_cv_mabi_ibmlongdouble" = yes; then
-    CFLAGS="$CFLAGS -mabi=ibmlongdouble"
-  else
-    { { echo "$as_me:$LINENO: error: this configuration requires -mlong-double-128 IBM extended format support" >&5
-echo "$as_me: error: this configuration requires -mlong-double-128 IBM extended format support" >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-fi
--- libc/sysdeps/unix/sysv/linux/powerpc/configure.in.jj	2006-01-28 01:07:39.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/powerpc/configure.in	2006-01-30 09:26:27.000000000 +0100
@@ -1,37 +0,0 @@
-sinclude(./aclocal.m4)dnl Autoconf lossage
-GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
-# Local configure fragment for sysdeps/unix/sysv/linux/powerpc/.
-
-AC_CACHE_CHECK(whether $CC $CFLAGS -mlong-double-128 uses IBM extended format,
-	       libc_cv_mlong_double_128ibm, [dnl
-save_CFLAGS="$CFLAGS"
-CFLAGS="$CFLAGS -mlong-double-128"
-AC_TRY_COMPILE([#include <float.h>], [
-#if LDBL_MANT_DIG != 106
-# error "compiler doesn't implement IBM extended format of long double"
-#endif
-long double foobar (long double x) { return x; }],
-	       libc_cv_mlong_double_128ibm=yes,
-	       libc_cv_mlong_double_128ibm=no)
-CFLAGS="$save_CFLAGS"])
-
-if test "$libc_cv_mlong_double_128ibm" = no; then
-  AC_CACHE_CHECK(whether $CC $CFLAGS supports -mabi=ibmlongdouble,
-		 libc_cv_mabi_ibmlongdouble, [dnl
-  save_CFLAGS="$CFLAGS"
-  CFLAGS="$CFLAGS -mlong-double-128 -mabi=ibmlongdouble"
-  AC_TRY_COMPILE([#include <float.h>], [
-#if LDBL_MANT_DIG != 106
-# error "compiler doesn't implement IBM extended format of long double"
-#endif
-long double foobar (long double x) { return x; }],
-		 libc_cv_mabi_ibmlongdouble=yes,
-		 libc_cv_mabi_ibmlongdouble=no)
-  CFLAGS="$save_CFLAGS"])
-
-  if test "$libc_cv_mabi_ibmlongdouble" = yes; then
-    CFLAGS="$CFLAGS -mabi=ibmlongdouble"
-  else
-    AC_MSG_ERROR([this configuration requires -mlong-double-128 IBM extended format support])
-  fi
-fi
--- libc/sysdeps/powerpc/fpu/Implies.jj	2006-01-30 08:18:28.000000000 +0100
+++ libc/sysdeps/powerpc/fpu/Implies	2006-01-29 21:10:24.000000000 +0100
@@ -0,0 +1,4 @@
+# On PowerPC we use the IBM extended long double format.
+ieee754/ldbl-128ibm
+ieee754/dbl-64
+ieee754/flt-32
--- libc/sysdeps/powerpc/Implies.jj	2006-01-29 21:10:24.000000000 +0100
+++ libc/sysdeps/powerpc/Implies	2006-01-30 08:18:21.000000000 +0100
@@ -1,4 +1,2 @@
-# On PowerPC we use the IBM extended long double format.
-ieee754/ldbl-128ibm
 ieee754/dbl-64
 ieee754/flt-32

glibc-ppc-ulps.patch:
 libm-test-ulps |  184 ++++++++++++++++++++++++++++++---------------------------
 1 files changed, 98 insertions(+), 86 deletions(-)

--- NEW FILE glibc-ppc-ulps.patch ---
2006-01-30  Jakub Jelinek  <jakub at redhat.com>

	* sysdeps/powerpc/fpu/libm-test-ulps: Merge ulps with older libm-test-ulps
	rather than overwrite it.  Remove excessively high ulps.

--- libc/sysdeps/powerpc/fpu/libm-test-ulps.jj	2006-01-29 21:10:24.000000000 +0100
+++ libc/sysdeps/powerpc/fpu/libm-test-ulps	2006-01-30 08:35:39.000000000 +0100
@@ -37,9 +37,16 @@ ildouble: 1
 ldouble: 1
 
 # cacosh
+Test "Real part of: cacosh (-2 - 3 i) == 1.9833870299165354323470769028940395 - 2.1414491111159960199416055713254211 i":
+double: 1
+float: 7
+idouble: 1
+ifloat: 7
 Test "Imaginary part of: cacosh (-2 - 3 i) == 1.9833870299165354323470769028940395 - 2.1414491111159960199416055713254211 i":
-float: 1
-ifloat: 1
+double: 1
+float: 3
+idouble: 1
+ifloat: 3
 
 # casin
 Test "Real part of: casin (-2 - 3 i) == -0.57065278432109940071028387968566963 - 1.9833870299165354323470769028940395 i":
@@ -77,6 +84,8 @@ ifloat: 1
 
 # catan
 Test "Real part of: catan (-2 - 3 i) == -1.4099210495965755225306193844604208 - 0.22907268296853876629588180294200276 i":
+float: 3
+ifloat: 3
 ildouble: 1
 ldouble: 1
 Test "Imaginary part of: catan (-2 - 3 i) == -1.4099210495965755225306193844604208 - 0.22907268296853876629588180294200276 i":
@@ -84,14 +93,23 @@ double: 1
 float: 1
 idouble: 1
 ifloat: 1
+Test "Real part of: catan (0.75 + 1.25 i) == 1.10714871779409050301706546017853704 + 0.549306144334054845697622618461262852 i":
+float: 4
+ifloat: 4
 
 # catanh
 Test "Real part of: catanh (-2 - 3 i) == -0.14694666622552975204743278515471595 - 1.3389725222944935611241935759091443 i":
 double: 4
 idouble: 4
+Test "Imaginary part of: catanh (-2 - 3 i) == -0.14694666622552975204743278515471595 - 1.3389725222944935611241935759091443 i":
+float: 4
+ifloat: 4
 Test "Real part of: catanh (0.75 + 1.25 i) == 0.261492138795671927078652057366532140 + 0.996825126463918666098902241310446708 i":
 double: 1
 idouble: 1
+Test "Imaginary part of: catanh (0.75 + 1.25 i) == 0.261492138795671927078652057366532140 + 0.996825126463918666098902241310446708 i":
+float: 6
+ifloat: 6
 
 # cbrt
 Test "cbrt (-27.0) == -3.0":
@@ -149,6 +167,8 @@ ldouble: 1
 
 # clog
 Test "Imaginary part of: clog (-2 - 3 i) == 1.2824746787307683680267437207826593 - 2.1587989303424641704769327722648368 i":
+float: 3
+ifloat: 3
 ildouble: 1
 ldouble: 1
 Test "Real part of: clog (0.75 + 1.25 i) == 0.376885901188190075998919126749298416 + 1.03037682652431246378774332703115153 i":
@@ -177,7 +197,9 @@ ildouble: 1
 ldouble: 1
 Test "Imaginary part of: clog10 (-2 - 3 i) == 0.556971676153418384603252578971164214 - 0.937554462986374708541507952140189646 i":
 double: 1
+float: 5
 idouble: 1
+ifloat: 5
 ildouble: 1
 ldouble: 1
 Test "Imaginary part of: clog10 (-3 + inf i) == inf + pi/2*log10(e) i":
@@ -276,12 +298,19 @@ ldouble: 1
 # cos
 Test "cos (M_PI_6l * 2.0) == 0.5":
 double: 1
+float: 1
 idouble: 1
+ifloat: 1
 Test "cos (M_PI_6l * 4.0) == -0.5":
 double: 2
 float: 1
 idouble: 2
 ifloat: 1
+Test "cos (pi/2) == 0":
+double: 1
+float: 1
+idouble: 1
+ifloat: 1
 
 # cpow
 Test "Real part of: cpow (0.75 + 1.25 i, 0.0 + 1.0 i) == 0.331825439177608832276067945276730566 + 0.131338600281188544930936345230903032 i":
@@ -352,6 +381,9 @@ float: 1
 ifloat: 1
 
 # ctan
+Test "Real part of: ctan (-2 - 3 i) == 0.376402564150424829275122113032269084e-2 - 1.00323862735360980144635859782192726 i":
+double: 1
+idouble: 1
 Test "Imaginary part of: ctan (-2 - 3 i) == 0.376402564150424829275122113032269084e-2 - 1.00323862735360980144635859782192726 i":
 ildouble: 1
 ldouble: 1
@@ -468,92 +500,68 @@ ifloat: 1
 # j0
 Test "j0 (-4.0) == -3.9714980986384737228659076845169804197562E-1":
 double: 1
-float: 1
+float: 2
 idouble: 1
-ifloat: 1
-ildouble: 43515227266289159395415763648
-ldouble: 43515227266289159395415763648
+ifloat: 2
 Test "j0 (10.0) == -0.245935764451348335197760862485328754":
-double: 2
+double: 3
 float: 1
-idouble: 2
+idouble: 3
 ifloat: 1
-ildouble: 17369667313819348747894233118595
-ldouble: 17369667313819348747894233118595
 Test "j0 (2.0) == 0.223890779141235668051827454649948626":
 float: 2
 ifloat: 2
 Test "j0 (4.0) == -3.9714980986384737228659076845169804197562E-1":
 double: 1
-float: 1
+float: 2
 idouble: 1
-ifloat: 1
-ildouble: 43515227266289159395415763648
-ldouble: 43515227266289159395415763648
+ifloat: 2
 Test "j0 (8.0) == 0.171650807137553906090869407851972001":
 float: 1
 ifloat: 1
-ildouble: 38324122909174090074461780712157
-ldouble: 38324122909174090074461780712157
 
 # j1
 Test "j1 (10.0) == 0.0434727461688614366697487680258592883":
 float: 2
 ifloat: 2
-ildouble: 21475644881377747614143400473061
-ldouble: 21475644881377747614143400473061
 Test "j1 (2.0) == 0.576724807756873387202448242269137087":
 double: 1
 idouble: 1
 Test "j1 (8.0) == 0.234636346853914624381276651590454612":
 double: 1
 idouble: 1
-ildouble: 1790984160474480772420978558547
-ldouble: 1790984160474480772420978558547
 
 # jn
 Test "jn (0, -4.0) == -3.9714980986384737228659076845169804197562E-1":
 double: 1
-float: 1
+float: 2
 idouble: 1
-ifloat: 1
-ildouble: 43515227266289159395415763648
-ldouble: 43515227266289159395415763648
+ifloat: 2
 Test "jn (0, 10.0) == -0.245935764451348335197760862485328754":
-double: 2
+double: 3
 float: 1
-idouble: 2
+idouble: 3
 ifloat: 1
-ildouble: 17369667313819348747894233118595
-ldouble: 17369667313819348747894233118595
 Test "jn (0, 2.0) == 0.223890779141235668051827454649948626":
 float: 2
 ifloat: 2
 Test "jn (0, 4.0) == -3.9714980986384737228659076845169804197562E-1":
 double: 1
-float: 1
+float: 2
 idouble: 1
-ifloat: 1
-ildouble: 43515227266289159395415763648
-ldouble: 43515227266289159395415763648
+ifloat: 2
 Test "jn (0, 8.0) == 0.171650807137553906090869407851972001":
 float: 1
 ifloat: 1
-ildouble: 38324122909174090074461780712157
-ldouble: 38324122909174090074461780712157
 Test "jn (1, 10.0) == 0.0434727461688614366697487680258592883":
 float: 2
 ifloat: 2
-ildouble: 21475644881377747614143400473061
-ldouble: 21475644881377747614143400473061
 Test "jn (1, 2.0) == 0.576724807756873387202448242269137087":
 double: 1
 idouble: 1
 Test "jn (1, 8.0) == 0.234636346853914624381276651590454612":
 double: 1
 idouble: 1
-ildouble: 1790984160474480772420978558547
-ldouble: 1790984160474480772420978558547
 Test "jn (10, -1.0) == 0.263061512368745320699785368779050294e-9":
 ildouble: 1
 ldouble: 1
@@ -575,8 +583,6 @@ ldouble: 1
 Test "jn (10, 10.0) == 0.207486106633358857697278723518753428":
 float: 1
 ifloat: 1
-ildouble: 24853547691922812960150086146551
-ldouble: 24853547691922812960150086146551
 Test "jn (10, 2.0) == 0.251538628271673670963516093751820639e-6":
 float: 4
 ifloat: 4
@@ -596,11 +602,9 @@ ildouble: 1
 ldouble: 1
 Test "jn (3, 10.0) == 0.0583793793051868123429354784103409563":
 double: 3
-float: 1
+float: 2
 idouble: 3
-ifloat: 1
-ildouble: 47549060992978485557887362065694
-ldouble: 47549060992978485557887362065694
+ifloat: 2
 Test "jn (3, 2.0) == 0.128943249474402051098793332969239835":
 double: 1
 float: 2
@@ -646,12 +650,19 @@ ldouble: 1
 # sincos
 Test "sincos (M_PI_6l*2.0, &sin_res, &cos_res) puts 0.5 in cos_res":
 double: 1
+float: 1
 idouble: 1
+ifloat: 1
 Test "sincos (M_PI_6l*2.0, &sin_res, &cos_res) puts 0.86602540378443864676372317075293616 in sin_res":
 double: 1
 float: 1
 idouble: 1
 ifloat: 1
+Test "sincos (pi/2, &sin_res, &cos_res) puts 0 in cos_res":
+double: 1
+float: 1
+idouble: 1
+ifloat: 1
 Test "sincos (pi/6, &sin_res, &cos_res) puts 0.86602540378443864676372317075293616 in cos_res":
 float: 1
 ifloat: 1
@@ -663,6 +674,8 @@ ldouble: 1
 
 # tan
 Test "tan (pi/4) == 1":
+double: 1
+idouble: 1
 ildouble: 1
 ldouble: 1
 
@@ -706,17 +719,18 @@ float: 1
 idouble: 2
 ifloat: 1
 Test "y0 (10.0) == 0.0556711672835993914244598774101900481":
+double: 1
 float: 1
+idouble: 1
 ifloat: 1
-ildouble: 17987982955981951215498976719132
-ldouble: 17987982955981951215498976719132
+Test "y0 (2.0) == 0.510375672649745119596606592727157873":
+double: 1
+idouble: 1
 Test "y0 (8.0) == 0.223521489387566220527323400498620359":
 double: 1
 float: 1
 idouble: 1
 ifloat: 1
-ildouble: 59420910818072525464695270081
-ldouble: 59420910818072525464695270081
 
 # y1
 Test "y1 (0.125) == -5.19993611253477499595928744876579921":
@@ -730,8 +744,6 @@ double: 3
 float: 1
 idouble: 3
 ifloat: 1
-ildouble: 17166751991147634677444869275635
-ldouble: 17166751991147634677444869275635
 Test "y1 (2.0) == -0.107032431540937546888370772277476637":
 double: 1
 float: 1
@@ -742,8 +754,6 @@ double: 1
 float: 2
 idouble: 1
 ifloat: 2
-ildouble: 3843427930176871148105186605483
-ldouble: 3843427930176871148105186605483
 
 # yn
 Test "yn (0, 0.75) == -0.137172769385772397522814379396581855":
@@ -762,30 +772,29 @@ float: 1
 idouble: 2
 ifloat: 1
 Test "yn (0, 10.0) == 0.0556711672835993914244598774101900481":
+double: 1
 float: 1
+idouble: 1
 ifloat: 1
-ildouble: 17987982955981951215498976719132
-ldouble: 17987982955981951215498976719132
+Test "yn (0, 2.0) == 0.510375672649745119596606592727157873":
+double: 1
+idouble: 1
 Test "yn (0, 8.0) == 0.223521489387566220527323400498620359":
 double: 1
 float: 1
 idouble: 1
 ifloat: 1
-ildouble: 59420910818072525464695270081
-ldouble: 59420910818072525464695270081
 Test "yn (1, 0.125) == -5.19993611253477499595928744876579921":
 double: 1
 idouble: 1
 Test "yn (1, 1.5) == -0.412308626973911295952829820633445323":
-float: 1
-ifloat: 1
+float: 2
+ifloat: 2
 Test "yn (1, 10.0) == 0.249015424206953883923283474663222803":
 double: 3
 float: 1
 idouble: 3
 ifloat: 1
-ildouble: 17166751991147634677444869275635
-ldouble: 17166751991147634677444869275635
 Test "yn (1, 2.0) == -0.107032431540937546888370772277476637":
 double: 1
 float: 1
@@ -796,8 +805,9 @@ double: 1
 float: 2
 idouble: 1
 ifloat: 2
-ildouble: 3843427930176871148105186605483
-ldouble: 3843427930176871148105186605483
+Test "yn (3, 0.125) == -2612.69757350066712600220955744091741":
+double: 1
+idouble: 1
 Test "yn (10, 0.125) == -127057845771019398.252538486899753195":
 double: 1
 idouble: 1
@@ -811,13 +821,13 @@ float: 2
 ifloat: 2
 Test "yn (10, 10.0) == -0.359814152183402722051986577343560609":
 double: 2
+float: 2
 idouble: 2
-ildouble: 799631964554876895122912847384
-ldouble: 799631964554876895122912847384
+ifloat: 2
 Test "yn (10, 2.0) == -129184.542208039282635913145923304214":
-double: 2
+double: 3
 float: 1
-idouble: 2
+idouble: 3
 ifloat: 1
 ildouble: 1
 ldouble: 1
@@ -832,8 +842,6 @@ double: 1
 float: 1
 idouble: 1
 ifloat: 1
-ildouble: 6997306768128814818664001056622
-ldouble: 6997306768128814818664001056622
 Test "yn (3, 2.0) == -1.12778377684042778608158395773179238":
 double: 1
 idouble: 1
@@ -878,12 +886,18 @@ ildouble: 1
 ldouble: 1
 
 Function: Real part of "cacosh":
+double: 1
+float: 7
+idouble: 1
+ifloat: 7
 ildouble: 1
 ldouble: 1
 
 Function: Imaginary part of "cacosh":
-float: 1
-ifloat: 1
+double: 1
+float: 3
+idouble: 1
+ifloat: 3
 
 Function: Real part of "casin":
 double: 1
@@ -914,6 +928,8 @@ ildouble: 1
 ldouble: 1
 
 Function: Real part of "catan":
+float: 4
+ifloat: 4
 ildouble: 1
 ldouble: 1
 
@@ -929,6 +945,10 @@ Function: Real part of "catanh":
 double: 4
 idouble: 4
 
+Function: Imaginary part of "catanh":
+float: 6
+ifloat: 6
+
 Function: "cbrt":
 double: 1
 idouble: 1
@@ -982,6 +1002,8 @@ ildouble: 2
 ldouble: 2
 
 Function: Imaginary part of "clog":
+float: 3
+ifloat: 3
 ildouble: 1
 ldouble: 1
 
@@ -993,9 +1015,9 @@ ldouble: 2
 
 Function: Imaginary part of "clog10":
 double: 1
-float: 1
+float: 5
 idouble: 1
-ifloat: 1
+ifloat: 5
 ildouble: 1
 ldouble: 1
 
@@ -1060,6 +1082,8 @@ ildouble: 1
 ldouble: 1
 
 Function: Real part of "ctan":
+double: 1
+idouble: 1
 ildouble: 1
 ldouble: 1
 
@@ -1130,28 +1154,22 @@ ildouble: 1
 ldouble: 1
 
 Function: "j0":
-double: 2
+double: 3
 float: 2
-idouble: 2
+idouble: 3
 ifloat: 2
-ildouble: 38324122909174090074461780712157
-ldouble: 38324122909174090074461780712157
 
 Function: "j1":
 double: 1
 float: 2
 idouble: 1
 ifloat: 2
-ildouble: 21475644881377747614143400473061
-ldouble: 21475644881377747614143400473061
 
 Function: "jn":
 double: 3
 float: 4
 idouble: 3
 ifloat: 4
-ildouble: 47549060992978485557887362065694
-ldouble: 47549060992978485557887362065694
 
 Function: "lgamma":
 double: 1
@@ -1226,23 +1244,17 @@ double: 2
 float: 1
 idouble: 2
 ifloat: 1
-ildouble: 17987982955981951215498976719132
-ldouble: 17987982955981951215498976719132
 
 Function: "y1":
 double: 3
 float: 2
 idouble: 3
 ifloat: 2
-ildouble: 3843427930176871148105186605483
-ldouble: 3843427930176871148105186605483
 
 Function: "yn":
 double: 3
 float: 2
 idouble: 3
 ifloat: 2
-ildouble: 3843427930176871148105186605483
-ldouble: 3843427930176871148105186605483
 
 # end of automatic generation

glibc-s390-ldbl.patch:
 s390/Implies                     |    1 +
 s390/fpu/bits/mathinline.h       |   26 ++++++++++++++++++++++++++
 s390/fpu/e_sqrtl.c               |   29 +++++++++++++++++++++++++++++
 s390/s390-32/bits/wordsize.h     |   11 +++++++++++
 s390/s390-64/bits/wordsize.h     |   11 +++++++++++
 unix/sysv/linux/s390/fpu/Implies |    5 +++++
 unix/sysv/linux/s390/nldbl-abi.h |    8 ++++++++
 7 files changed, 91 insertions(+)

--- NEW FILE glibc-s390-ldbl.patch ---
--- libc/sysdeps/unix/sysv/linux/s390/fpu/Implies.jj	2006-01-30 09:34:22.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/s390/fpu/Implies	2006-01-30 09:39:15.000000000 +0100
@@ -0,0 +1,5 @@
+# Override ldbl-opt with s390 specific routines.
+s390/fpu
+# These supply the ABI compatibility for when long double was double.
+ieee754/ldbl-64-128
+ieee754/ldbl-opt
--- libc/sysdeps/unix/sysv/linux/s390/nldbl-abi.h.jj	2006-01-30 09:34:22.000000000 +0100
+++ libc/sysdeps/unix/sysv/linux/s390/nldbl-abi.h	2006-01-30 09:34:22.000000000 +0100
@@ -0,0 +1,8 @@
+/* ABI version for long double switch.
+   This is used by the Versions and math_ldbl_opt.h files in
+   sysdeps/ieee754/ldbl-opt/.  It gives the ABI version where
+   long double == double was replaced with proper long double
+   for libm *l functions and libc functions using long double.  */
+
+#define NLDBL_VERSION			GLIBC_2.4
+#define LONG_DOUBLE_COMPAT_VERSION	GLIBC_2_4
--- libc/sysdeps/s390/s390-32/bits/wordsize.h.jj	2002-10-02 22:52:30.000000000 +0200
+++ libc/sysdeps/s390/s390-32/bits/wordsize.h	2006-01-30 09:34:22.000000000 +0100
@@ -5,3 +5,14 @@
 #else
 # define __WORDSIZE	32
 #endif
+
+#if !defined __NO_LONG_DOUBLE_MATH && !defined __LONG_DOUBLE_MATH_OPTIONAL
+
+/* Signal that we didn't used to have a `long double'. The changes all
+   the `long double' function variants to be redirects to the double
+   functions.  */
+# define __LONG_DOUBLE_MATH_OPTIONAL   1
+# ifndef __LONG_DOUBLE_128__
+#  define __NO_LONG_DOUBLE_MATH        1
+# endif
+#endif
--- libc/sysdeps/s390/fpu/bits/mathinline.h.jj	2004-09-14 00:33:01.000000000 +0200
+++ libc/sysdeps/s390/fpu/bits/mathinline.h	2006-01-30 09:34:22.000000000 +0100
@@ -47,6 +47,21 @@ __NTH (__signbit (double __x))
   return __u.__i < 0;
 }
 
+# ifndef __NO_LONG_DOUBLE_MATH
+__MATH_INLINE int
+__NTH (__signbitl (long double __x))
+{
+  __extension__ union { long double __l; int __i[4]; } __u = { __l: __x };
+  return __u.__i[0] < 0;
+}
+# else
+__MATH_INLINE int
+__NTH (__signbitl (long double __x))
+{
+  return __signbit ((double) __x);
+}
+# endif
+
 #endif /* C99 */
 
 /* This code is used internally in the GNU libc.  */
@@ -70,6 +85,17 @@ __NTH (__ieee754_sqrtf (float x))
   return res;
 }
 
+# if !defined __NO_LONG_DOUBLE_MATH
+__MATH_INLINE long double
+sqrtl (long double __x) __THROW
+{
+  long double res;
+
+  asm ( "sqxbr %0,%1" : "=f" (res) : "f" (x) );
+  return res;
+}
+# endif /* !__NO_LONG_DOUBLE_MATH */
+
 #endif /* __LIBC_INTERNAL_MATH_INLINES */
 
 #endif /* __NO_MATH_INLINES */
--- libc/sysdeps/s390/fpu/e_sqrtl.c.jj	2006-01-30 09:34:22.000000000 +0100
+++ libc/sysdeps/s390/fpu/e_sqrtl.c	2006-01-30 09:34:22.000000000 +0100
@@ -0,0 +1,29 @@
+/* Copyright (C) 2004 Free Software Foundation, Inc.
+   Contributed by Martin Schwidefsky (schwidefsky at de.ibm.com).
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, write to the Free
+   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+   02111-1307 USA.  */
+
+#include <math_private.h>
+
+long double
+__ieee754_sqrtl (long double x)
+{
+  long double res;
+
+  asm ( "sqxbr %0,%1" : "=f" (res) : "f" (x) );
+  return res;
+}
--- libc/sysdeps/s390/s390-64/bits/wordsize.h.jj	2002-10-02 22:57:48.000000000 +0200
+++ libc/sysdeps/s390/s390-64/bits/wordsize.h	2006-01-30 09:34:22.000000000 +0100
@@ -5,3 +5,14 @@
 #else
 # define __WORDSIZE	32
 #endif
+
+#if !defined __NO_LONG_DOUBLE_MATH && !defined __LONG_DOUBLE_MATH_OPTIONAL
+
+/* Signal that we didn't used to have a `long double'. The changes all
+   the `long double' function variants to be redirects to the double
+   functions.  */
+# define __LONG_DOUBLE_MATH_OPTIONAL   1
+# ifndef __LONG_DOUBLE_128__
+#  define __NO_LONG_DOUBLE_MATH        1
+# endif
+#endif
--- libc/sysdeps/s390/Implies.jj	2004-07-01 19:48:21.000000000 +0200
+++ libc/sysdeps/s390/Implies	2006-01-30 09:44:20.000000000 +0100
@@ -1,2 +1,3 @@
+ieee754/ldbl-128
 ieee754/dbl-64
 ieee754/flt-32


Index: glibc.spec
===================================================================
RCS file: /cvs/dist/rpms/glibc/devel/glibc.spec,v
retrieving revision 1.212
retrieving revision 1.213
diff -u -r1.212 -r1.213
--- glibc.spec	30 Jan 2006 10:11:25 -0000	1.212
+++ glibc.spec	30 Jan 2006 10:19:55 -0000	1.213
@@ -32,6 +32,9 @@
 Source3: %{glibcname}-fedora-%{glibcdate}.tar.bz2
 Patch0: %{glibcname}-fedora.patch
 Patch1: %{name}-ia64-lib64.patch
+Patch2: glibc-ppc-fpu.patch
+Patch3: glibc-ppc-ulps.patch
+Patch4: glibc-s390-ldbl.patch
 Buildroot: %{_tmppath}/glibc-%{PACKAGE_VERSION}-root
 Obsoletes: zoneinfo, libc-static, libc-devel, libc-profile, libc-headers,
 Obsoletes: gencat, locale, ldconfig, locale-ja, glibc-profile
@@ -241,6 +244,9 @@
 %patch1 -p1
 %endif
 %endif
+%patch2 -p1 -E
+%patch3 -p1 -E
+%patch4 -p1 -E
 
 # Hack till glibc-kernheaders get updated, argh
 mkdir -p override_headers/linux




More information about the fedora-cvs-commits mailing list